Nội dung
Airports (IATA), optionally filtered by a free-text term or a country.
get/v1/content/airports
- Yêu cầu xác thực
Tham số
| Tên | Vị trí | Kiểu | Mô tả |
|---|---|---|---|
| q | truy vấn | string | |
| country | truy vấn | string | |
| page | truy vấn | integer (int32) | |
| pageSize | truy vấn | integer (int32) |
Phản hồi
200OKAirportItemPagedList
- AirportItem[]
- iatastring
- namestringcó thể null
- cityCodestringcó thể null
- cityNamestringcó thể null
- countryCodestringcó thể null
- pageinteger (int32)
- pageSizeinteger (int32)
- totalinteger (int32)
Mẫu mã
Các chương trình hoàn chỉnh ký yêu cầu đúng theo cách gateway xác minh. Thay YOUR_KEY_ID và YOUR_SECRET.
# Sign the request: METHOD \n path+query \n unix time \n nonce \n sha256(body)
KEY_ID="YOUR_KEY_ID"
SECRET="YOUR_SECRET"
BODY=''
TS=$(date +%s)
NONCE=$(openssl rand -hex 16)
BODY_HASH=$(printf '%s' "$BODY" | openssl dgst -sha256 | sed 's/^.* //')
CANON=$(printf 'GET\n/v1/content/airports\n%s\n%s\n%s' "$TS" "$NONCE" "$BODY_HASH")
SIG=$(printf '%s' "$CANON" | openssl dgst -sha256 -hmac "$SECRET" | sed 's/^.* //')
curl -X GET "https://api.dubaitrip.com/v1/content/airports" \
-H "X-API-Key: $KEY_ID" \
-H "X-Timestamp: $TS" \
-H "X-Nonce: $NONCE" \
-H "X-Signature: $SIG" \
-H "Accept: application/json"